Table of Contents

Class: AbstractMaildirDomain | Twisted-0.17.4/twisted/mail/maildir.py
--- | ---

Abstract maildir-backed domain.

Methods |
--- | ---
__init__ exists startMessage userDirectory
| __init__

    __init__ ( self,  root )

Initialize.

| exists

    exists (
            self,
            user,
            success,
            failure,
            )

Check for existence of user in the domain

| startMessage

    startMessage ( self,  user )

Save a message for a given user

| userDirectory

    userDirectory ( self,  user )

### Get the maildir directory for a given user

Override to specify where to save mails for users. Return None for non-existing users.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:55 2002 by HappyDoc version 2.0